Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PICurrentC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Any.h"`
`#include "tao/TypeCode.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/InvalidSlotC.h"`
`#include "tao/PI_ForwardC.h"`
`#include "tao/CurrentC.h"`

Include dependency graph for PICurrentC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | PortableInterceptor
namespace | TAO
## Classes
interface | PortableInterceptor::Current
struct | TAO::Objref_Traits< ::PortableInterceptor::Current >
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _PORTABLEINTERCEPTOR_CURRENT__VAR_OUT_CH_
#define | _PORTABLEINTERCEPTOR_CURRENT_CH_
#define | _PORTABLEINTERCEPTOR_CURRENT__TRAITS_CH_
## Typedefs
typedef Current * | Current_ptr
typedef TAO_Objref_Var_T< Current > | Current_var
typedef TAO_Objref_Out_T< Current > | Current_out
## Functions
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::Current_ptr)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::Current_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::Current_ptr &)

## Define Documentation

#define _PORTABLEINTERCEPTOR_CURRENT__TRAITS_CH_

#define _PORTABLEINTERCEPTOR_CURRENT__VAR_OUT_CH_

#define _PORTABLEINTERCEPTOR_CURRENT_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Objref_Out_T< Current > PortableInterceptor::Current_out

typedef Current* PortableInterceptor::Current_ptr

typedef TAO_Objref_Var_T< Current > PortableInterceptor::Current_var

## Function Documentation

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::Current_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::Current_ptr |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::Current_ptr & |
| ) |